<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.eartag2.admin.mapper.BaseFarmMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.eartag2.admin.entity.BaseFarm">
        <id column="id" property="id" />
        <result column="farm_code" property="farmCode" />
        <result column="farm_name" property="farmName" />
        <result column="location" property="location" />
        <result column="leader" property="leader" />
        <result column="phone" property="phone" />
        <result column="remark" property="remark" />
        <result column="area_code" property="areaCode" />
        <result column="code1" property="code1" />
        <result column="code2" property="code2" />
        <result column="ip" property="ip" />
        <result column="port" property="port" />
        <result column="farm_id" property="farmId" />
        <result column="farm_type" property="farmType" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, farm_code, farm_name, location, leader, phone, remark, area_code, code1, code2, ip, port, farm_id, farm_type
    </sql>

</mapper>
